Retrieve Log Service Types
Returns all log service types that can be created via API within your Fivetran account. The metadata includes the proper log service name ('Datadog' instead of 'datadog_log'), the log service icon, and links to Fivetran resources.
Request schema
Query parameters
Paging cursor, read more about pagination
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/metadata/log-service-types?cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json Authorization: Basic <Replace with base64-encoded key> Host: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
The log service type identifier within the Fivetran system
The log service name within the Fivetran system
The log service type
The description characterizing the purpose of the log service
The set of additional icon resource URLs in different formats (.svg, .png). Updating this list is not a breaking change. The set of icon URLs or the icons themselves may be changed
The icon resource URL
The link to the log service documentation
The current availability status of the log service
The date (yyyy-MM-dd) the log service status was updated to the current availability status
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Log service types list retrieved successfully", "data": { "items": [ { "id": "datadog_log", "name": "Datadog", "type": "Log", "description": "Datadog is a monitoring and analytics platform", "icons": [ "string" ], "icon_url": "https://fivetran.com/integrations/datadog_log/resources/datadog.png", "link_to_docs": "https://fivetran.com/docs/logs/datadog", "service_status": "general_availability", "service_status_updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "cursor_value" } }